Subject: [RFC 3/3] asm-generic: Drop renameat syscall from default list

From: [email-masked] (Arnd Bergmann)
Date: Wed, 23 Apr 2014 14:18:04 +0200

On Wednesday 23 April 2014, James Hogan wrote:
> The new renameat2 syscall provides all the functionality provided by the
> renameat syscall and adds flags, so future architectures won't need to
> include renameat.
> 
> Therefore drop the renameat syscall from the generic syscall list unless
> __ARCH_WANT_RENAMEAT is defined by the architecture's unistd.h prior to
> including asm-generic/unistd.h, and adjust all architectures using the
> generic syscall list to define it so that no in-tree architectures are
> affected.

I should have read this one before replying to patch 2 ;-)

> Signed-off-by: James Hogan <[email-masked]>
> Cc: Arnd Bergmann <[email-masked]>
> Cc: linux-arch at vger.kernel.org
> Cc: Vineet Gupta <[email-masked]>
> Cc: Catalin Marinas <[email-masked]>
> Cc: Will Deacon <[email-masked]>
> Cc: linux-arm-kernel at lists.infradead.org
> Cc: Mark Salter <[email-masked]>
> Cc: Aurelien Jacquiot <[email-masked]>
> Cc: linux-c6x-dev at linux-c6x.org
> Cc: Richard Kuo <[email-masked]>
> Cc: linux-hexagon at vger.kernel.org
> Cc: linux-metag at vger.kernel.org
> Cc: Jonas Bonn <[email-masked]>
> Cc: linux at lists.openrisc.net
> Cc: Chen Liqin <[email-masked]>
> Cc: Lennox Wu <[email-masked]>
> Cc: Chris Metcalf <[email-masked]>
> Cc: Guan Xuetao <[email-masked]>
> ---
> Is this the approach we want to take to keep the default syscall list
> minimal? We could for example have made renameat2 use the renameat
> syscall number for new arches, but it seemed best to leave a gap for new
> arches to improve consistency of numbering.

I think leaving the hole is best.

> This patch is a no-op for arches in tree, so there's no harm for this to
> wait for the v3.16 merge window.

Sounds good. I guess I'll have to put this into my asm-generic tree
then, unless I can get the nios2 maintainers to pick it up.

If you don't mind, can you submit the first two patches to Linus
directly?

	Arnd